<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php
/*
Plugin Name: Page & Post Notes
Plugin URI:  http://www.yydevelopment.com/
Description: Simple plugin that allow you to notes on pages and posts
Version:     1.1.0
Author:      YYDevelopment
Author URI:  https://www.yydevelopment.co.il/
*/

include_once('include/settings.php');
require_once('include/functions.php');


// ================================================
// Creating Database when the plugin is activated
// ================================================

function yydev_notes_create_database() {
    
    require_once('include/install.php');
        
} // function yydev_notes_create_database() {

register_activation_hook(__FILE__, 'yydev_notes_create_database');  // run on plugin update


// ================================================
// display the plugin we have create on the wordpress
// post blog and pages
// ================================================

// function that will output the code to the page
function yydev_notes_output_plugin($term) {

    include('include/style.php');
    include('include/script.php');
    include('include/admin-output.php');

} // function yydev_notes_output_plugin() {

function yydev_notes_register_meta_boxes() {
    add_meta_box( 'yydev_notes', 'Page Notes', 'yydev_notes_output_plugin',null ,'side');
} // function yydev_notes_register_meta_boxes() {

add_action( 'add_meta_boxes', 'yydev_notes_register_meta_boxes' );


// ================================================
// function that will insert the code to the datbase
// once the post or page is updated
// ================================================

function yydev_notes_insert_to_database() {

        include('include/insert-to-db.php');

} // function yydev_notes_insert_to_database() {

add_action('pre_post_update', 'yydev_notes_insert_to_database');

// ================================================
// including admin notices flie
// ================================================

if( is_admin() ) {
	include_once('notices.php');
} // if( is_admin() ) {